DEVM_ADD_ACTION(9)

NAME
devm_add_action - add a custom action to list of managed resources

SYNOPSIS

int devm_add_action(struct device * dev, void (*action) (void *), void * data);

ARGUMENTS

dev
    Device that owns the action

action
    Function that should be called

data
    Pointer to data passed to action implementation

DESCRIPTION

This adds a custom action to the list of managed resources so that it gets executed as part of standard resource unwinding.

COPYRIGHT